Emails
Bulk mark-read, delete, apply or remove a label
POST
/emails/bulkCounts against the quota once per email processed, not once per request. Supports Idempotency-Key.
Authorization
apiKey AuthorizationBearer <token>
Send your key as Authorization: Bearer mk_…. Session cookies are never accepted on this surface.
In: header
Header Parameters
Idempotency-Key?string
A unique value per operation, such as a UUID. Replays the stored response for 24h. Reusing a key with a different body returns 409.
Length
length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/emails/bulk" \ -H "Authorization: Bearer $MAYLEE_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ "action": "markRead", "emailIds": [ "cmemx1a2b3c4d5e6f7g8h9i0" ], "isRead": true }'{ "isRead": true, "skippedIds": [], "unchangedIds": [], "updatedIds": [ "cmemx1a2b3c4d5e6f7g8h9i0" ]}